/* gimp_compat.h:  GIMP backward compatibility defines and typedefs
//
// Written 21 February 2001 by R.L. Horn <rlhorn@mailroom.com>
//
// PROVIDED AS IS.  ABSOLUTELY NO WARRANTY.
*/


#ifndef __GIMP_COMPAT_H__
#define __GIMP_COMPAT_H__

typedef GDrawableType	GimpImageType;
typedef GRunModeType	GimpRunModeType;
typedef GStatusType	GimpPDBStatusType;

#define gimp_image_list			gimp_query_images

#define GimpDrawable			GDrawable
#define GimpPixelRgn			GPixelRgn
#define GimpPlugInInfo			GPlugInInfo
#define GimpParam			GParam
#define GimpParamDef			GParamDef

#define GIMP_PLUGIN			PROC_PLUG_IN
#define GIMP_NORMAL_MODE		NORMAL_MODE

#define GIMP_RGB_IMAGE			RGB_IMAGE
#define GIMP_RGBA_IMAGE			RGBA_IMAGE
#define GIMP_GRAY_IMAGE			GRAY_IMAGE
#define GIMP_GRAYA_IMAGE		GRAYA_IMAGE
#define GIMP_INDEXED_IMAGE		INDEXED_IMAGE
#define GIMP_INDEXEDA_IMAGE		INDEXEDA_IMAGE

#define GIMP_PDB_INT32			PARAM_INT32
#define GIMP_PDB_IMAGE			PARAM_IMAGE
#define GIMP_PDB_DRAWABLE		PARAM_DRAWABLE
#define GIMP_PDB_STRING			PARAM_STRING
#define GIMP_PDB_STATUS			PARAM_STATUS
#define GIMP_PDB_SUCCESS		STATUS_SUCCESS
#define GIMP_PDB_CALLING_ERROR		STATUS_CALLING_ERROR
#define GIMP_PDB_EXECUTION_ERROR	STATUS_EXECUTION_ERROR

#define GIMP_RUN_INTERACTIVE		RUN_INTERACTIVE
#define GIMP_RUN_NONINTERACTIVE		RUN_NONINTERACTIVE
#define GIMP_RUN_WITH_LAST_VALS		RUN_WITH_LAST_VALS

#endif /* __GIMP_COMPAT_H__ */
